Page Summary
-
You must first archive a creative before you can delete it.
-
The request uses the
DELETEHTTP method with advertiser and creative IDs as path parameters. -
The request and response bodies are empty for this operation.
-
Deleting a creative requires the
https://www.googleapis.com/auth/display-videoOAuth scope.
Deletes a creative. Returns error code NOT_FOUND if the creative does not exist. The creative should be archived first, i.e. set entityStatus to ENTITY_STATUS_ARCHIVED, before it can be deleted.
HTTP request
DELETE https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/creatives/{creativeId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
The ID of the advertiser this creative belongs to. |
creativeId |
The ID of the creative to be deleted. |
Request body
The request body must be empty.
Response body
If successful, the response body is empty.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.